package com.bzd.system.service.dtp;

import com.bzd.common.config.dao.DaoBase;
import com.bzd.common.config.dao.DaoSupport;
import com.bzd.common.config.dao.PageData;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import javax.annotation.Resource;
import java.util.List;


/**
*
* 药品说明书表 service
* @author LiXiangFei
* @since 2024-10-15
*/

@Service
public class SDtpZskcxDrugInstructionsService {

    @Autowired
    private DaoBase dao;

    @Resource(name = "daoSupport")
    private DaoSupport daoSupport;

    public Integer addSDtpZskcxDrugInstructions(PageData pd)throws Exception {
        return daoSupport.update("SDtpZskcxDrugInstructionsMapper.addSDtpZskcxDrugInstructions", pd);
    }

    public List<PageData> findSDtpZskcxDrugInstructionsList(PageData pd) throws Exception{
        return (List<PageData>) daoSupport.findForList("SDtpZskcxDrugInstructionsMapper.selectSDtpZskcxDrugInstructionsList", pd);
    }

    public Integer SDtpZskcxDrugInstructionsRemove(PageData pd)throws Exception {
        return daoSupport.delete("SDtpZskcxDrugInstructionsMapper.SDtpZskcxDrugInstructionsRemove", pd);
    }


    public Integer updateSDtpZskcxDrugInstructions(PageData pd)throws Exception {
        return daoSupport.update("SDtpZskcxDrugInstructionsMapper.updateSDtpZskcxDrugInstructions", pd);
    }

}
